# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/system/modifier-data.ts:6

##### Index

### Constructors

constructor

### Properties

args
className
player
stackCount
typeId
typePregenArgs

### Methods

toModifier

## Constructors

### constructor

- new default(source: any, player: boolean): default

  #### Parameters

  - source: any
  - player: boolean

  #### Returns default

  - Defined in src/system/modifier-data.ts:15

## Properties

### args

args: any[]

- Defined in src/system/modifier-data.ts:10

### className

className: string

- Defined in src/system/modifier-data.ts:13

### player

player: boolean

- Defined in src/system/modifier-data.ts:7

### stackCount

stackCount: number

- Defined in src/system/modifier-data.ts:11

### typeId

typeId: string

- Defined in src/system/modifier-data.ts:8

### typePregenArgs

typePregenArgs: any[]

- Defined in src/system/modifier-data.ts:9

## Methods

### toModifier

- toModifier(_constructor: any): null | PersistentModifier

  #### Parameters

  - _constructor: any

  #### Returns null | PersistentModifier

  - Defined in src/system/modifier-data.ts:31